Bug 1294229 - Sizer method SetSizeHints(window) fails to set a minimum size that actually fits all controls
Summary: Sizer method SetSizeHints(window) fails to set a minimum size that actually f...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: 23
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-12-25 15:40 UTC by Florian Höch
Modified: 2016-02-29 05:24 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-02-29 05:24:21 UTC


Attachments (Terms of Use)
Demo of the issue (316 bytes, text/plain)
2015-12-25 15:40 UTC, Florian Höch
no flags Details
Screenshot under Wayland (4.85 KB, image/png)
2016-01-11 13:28 UTC, Florian Höch
no flags Details
Screenshot under X11 (for comparison) (6.37 KB, image/png)
2016-01-11 13:29 UTC, Florian Höch
no flags Details

Description Florian Höch 2015-12-25 15:40:20 UTC
Created attachment 1109415 [details]
Demo of the issue

Description of problem:
Sizer method SetSizeHints(window) (Fit(window) is also affected) fails to set a minimum size that's large enough to fit all controls under Wayland (can't test under X11 as it's unavailable on my test system). This is especially worrysome for dialogs as they are not user resizeable. The underlying issue is probably a wxGTK3 bug.

Version-Release number of selected component (if applicable):
wxPython-3.0.2-7.fc23

How reproducible:
Always

Steps to Reproduce:
1. See attached demo code

Actual results:
SetSizeHints() / Fit() should make the window large enough to fit all controls (if enough screen real estate is available)

Expected results:
The window size after SetSizeHints() / Fit() should be large enough to fit all controls (if enough screen real estate is available)

Comment 1 Scott Talbert 2015-12-26 04:28:34 UTC
Can you provide a screenshot of what the demo code produces on Wayland?

Comment 2 Florian Höch 2016-01-11 13:28 UTC
Created attachment 1113611 [details]
Screenshot under Wayland

Comment 3 Florian Höch 2016-01-11 13:29 UTC
Created attachment 1113612 [details]
Screenshot under X11 (for comparison)

Comment 4 Scott Talbert 2016-01-12 05:51:07 UTC
Okay, I can reproduce too with Wayland (once I figured out how to run it).  I see issues with my own wxPython applications, too.

Comment 5 Scott Talbert 2016-01-20 03:20:49 UTC
Reported upstream: http://trac.wxwidgets.org/ticket/17336

Comment 6 Fedora Update System 2016-02-25 04:03:27 UTC
wxGTK3-3.0.2-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b75629956

Comment 7 Fedora Update System 2016-02-26 20:54:00 UTC
wxGTK3-3.0.2-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b75629956

Comment 8 Fedora Update System 2016-02-29 05:24:14 UTC
wxGTK3-3.0.2-17.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.